Read and update organisation settings
/api/v1/organisationReturns the current organisation's settings and details.
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| name | string | |
| slug | string | |
| domain | string| null | |
| logo_url | string| null | |
| country_code | string | |
| timezone | string | |
| working_days | array | |
| leave_year_type | string | |
| leave_year_start_month | integer | |
| leave_year_start_day | integer | |
| default_leave_allowance | number | |
| created_at | string(date-time) |
curl https://api.offly.net/api/v1/organisation \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/organisationUpdates organisation settings. Requires admin or owner role.
| Field | Type | Description |
|---|---|---|
| name | string | |
| country_code | string | |
| timezone | string | |
| working_days | array | |
| leave_year_type | string | |
| leave_year_start_month | integer | |
| leave_year_start_day | integer | |
| default_leave_allowance | number |
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| name | string | |
| slug | string | |
| domain | string| null | |
| logo_url | string| null | |
| country_code | string | |
| timezone | string | |
| working_days | array | |
| leave_year_type | string | |
| leave_year_start_month | integer | |
| leave_year_start_day | integer | |
| default_leave_allowance | number | |
| created_at | string(date-time) |
curl -X PATCH https://api.offly.net/api/v1/organisation \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Do not use production API keys on shared devices. Keys are stored in memory only.